<?php
/*------------------------------------------------------------------------
# "Hot Accordion" Joomla module
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

//no direct access
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

require_once (JPATH_SITE.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_content'.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'route.php');
global $mainframe;

// Path assignments
$mosConfig_absolute_path = JPATH_SITE;
$mosConfig_live_site = JURI :: base();
if(substr($mosConfig_live_site, -1)=="/") { $mosConfig_live_site = substr($mosConfig_live_site, 0, -1); }
 
// get parameters from the module's configuration

$moduleclass_sfx = $params->get('moduleclass_sfx','');

$picDir = $params->get('picDir','images/stories');

$picBorderSize = $params->get('picBorderSize','3');
$picBorderStyle = $params->get('picBorderStyle','solid');
$picBorderColor = $params->get('picBorderColor','#349995');

$picWidth = $params->get('picWidth','140');
$leftMarginText = $picWidth + 20;
$picHeight = $params->get('picHeight','312');
$picOverlapping = $params->get('picOverlapping','75');

$paneWidth = $params->get('paneWidth','500');
$paragraphWidth = $params->get('paragraphWidth','380');
$paragraphHeight = $params->get('paragraphHeight','250');

$background = $params->get('background','');
$backgroundImage = $params->get('backgroundImage','');
$backgroundStyle = $params->get('backgroundStyle','image');

$animationSpeed = $params->get('animationSpeed','800');
$animateActivation = $params->get('animateActivation','hover');

$headingColor = $params->get('headingColor','#00D8DC');
$headingFont = $params->get('headingFont','Tahoma, Geneva, sans-serif');
$headingFontSize = $params->get('headingFontSize','22');
$headingLineHeight = 25;
if ($headingFontSize > $headingLineHeight) { $headingLineHeight = $headingFontSize; }
$headingWeight = $params->get('headingWeight','normal');
$headingStyle = $params->get('headingStyle','normal');

$textColor = $params->get('textColor','#000000');
$textFont = $params->get('textFont','Tahoma, Geneva, sans-serif');
$textFontSize = $params->get('textFontSize','12');
$textWeight = $params->get('textWeight','normal');
$textStyle = $params->get('textStyle','normal');

for ($loop = 1; $loop <= 10; $loop += 1) {
$slot[$loop] = $params->get('slot'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$heading[$loop] = $params->get('heading'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$text[$loop] = $params->get('text'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$image[$loop] = $params->get('image'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$link[$loop] = $params->get('link'.$loop,'');
}

require(JModuleHelper::getLayoutPath('mod_hot_accordion'));
