<?php if($customFonts=="custom") { ?>
@font-face {
	font-family: 'VAG Rounded Std Light';
	src: url('<?php echo $template_path ?>/fonts/vagroundedstd-thin-webfont.eot');
	src: local('☺'), url('<?php echo $template_path ?>/fonts/vagroundedstd-thin-webfont.woff') format('woff'), url('<?php echo $template_path ?>/fonts/VAGRoundedStd-Thin.ttf') format('truetype'), url('<?php echo $template_path ?>/fonts/vagroundedstd-thin-webfont.svg') format('svg');
	font-weight: normal;
	font-style: normal;
}
<?php } ?>

body {
	color:<?php echo $bodyText; ?>;
    background-color:#ffffff;
    background-repeat:no-repeat;
}

.details, .details a:link, .details a:visited {
	color:<?php echo $bodyText; ?>;
}

<?php
$contentpadleft=0; $contentpadright=0;
if($showleft) { $contentpadleft=25; }else{ $contentpadleft=5; }
if($showright) { $contentpadright=25; }else{ $contentpadright=5; }
?>

.content_pad {
	padding:11px <?php echo $contentpadright; ?>px 15px <?php echo $contentpadleft; ?>px;
}

a:link,a:visited  {
	color:<?php echo $bodyLink; ?>;
}

.search_wrap,.search_wrap a:link,.search_wrap a:visited {
	color:<?php echo $bodyText; ?>;
}

.search_wrap a:hover {
	color:<?php echo $bodyLink; ?>;
}

.hotwrapper,.header_wrap2,.main_area {
	width:<?php echo $overallWidth; ?>px;
}

<?php
$u_agent = $_SERVER['HTTP_USER_AGENT'];
if(preg_match('/Opera/i',$u_agent)) {
$mainareamargintop = $mainareamargintop - 80;
 } ?>

.main_area {
	margin-top:<?php echo $mainareamargintop; ?>px;
}

.bg_zone {
	background:-moz-linear-gradient(<?php echo $headerBackgroundColor1; ?>,<?php echo $headerBackgroundColor2; ?>);
	background: -webkit-gradient(linear, left top, left bottom, from(<?php echo $headerBackgroundColor1; ?>), to(<?php echo $headerBackgroundColor2; ?>));
	background:linear-gradient(<?php echo $headerBackgroundColor1; ?>, <?php echo $headerBackgroundColor2; ?>);
	height: <?php echo $headerheight; ?>px;
}

.bg_img {
    background-color:transparent;
	background-position: center top;
    background-image:url(<?php echo $template_path ?>/images/bg<?php if($templateStyle) {echo $templateStyle; }?>.png);
    background-repeat:no-repeat;
}

<?php
$centralZoneWidth = $overallWidth + 42;
?>

.central_zone {
	width:<?php echo $centralZoneWidth; ?>px;
}

.graywave {
	background-color:transparent;
	background-image:url(<?php echo $template_path ?>/images/<?php echo $graywaveimg ?><?php if($templateStyle) {echo $templateStyle; }?>.png);
	background-repeat:no-repeat;
	height: <?php echo $graywaveheight ?>px;
	margin-top: <?php echo $graywavemargintop ?>px;
}

.bluewave {
	background-color:#ffffff;
	background-image:url(<?php echo $template_path ?>/images/wave<?php if($templateStyle) {echo $templateStyle; }?>.png);
	background-repeat:no-repeat;
}

.user1_module {
	padding: <?php echo $user2paddingtop; ?>px 0 0 0;
}

.path,.upper,.footer_wrap,.header {
	width:<?php echo $templateWidth; ?>px;
}

#topmenu {
	width:<?php echo $menuWidth; ?>px;
}

.content_wrap {
	width:<?php echo $contentWidth; ?>px;
}

.column_left {
	width:<?php echo $columnLeftWidth; ?>px;
}

.column_right {
	width:<?php echo $columnRightWidth; ?>px;
}

.search_wrap {
	width:<?php echo $searchWidth; ?>px;
}

.breadcrumb, a.pathway:link, a.pathway:visited, a.pathway:hover {
	color:<?php echo $breadcrumbsText; ?>;
}

.componentheading, h1 {
	color:<?php echo $componentHeadingText; ?>;
}

.contentheading, h2, h4 {
	color:<?php echo $headingText; ?>;
}

.contentheading, h3 {
	color:<?php echo $bodyLink; ?>;
}

a.contentpagetitle:hover h2 {
	color:<?php echo $headingHoverText; ?>;
}

.column_left div.moduletable,
.column_right div.moduletable,
.column_left div.moduletable-lookup,
.column_right div.moduletable-lookup {
    color:<?php echo $columnText; ?>;
	background:<?php echo $moduleBgTop; ?> url(<?php echo $template_path ?>/images/module-bg.png) no-repeat left top;
}

.column_left div.moduletable a,
.column_right div.moduletable a {
    color:<?php echo $columnLink; ?>;
}

div.moduletable h3,
div.module h3 {
	color:<?php echo $componentHeadingText; ?>;
}

div.moduletable-lookup h3 {
	color:<?php echo $columnHeading; ?>;
}

.column_left div.moduletable h3,
.column_right div.moduletable h3,
.column_left div.moduletable-style2 h3,
.column_right div.moduletable-style2 h3,
.column_left div.moduletable-style3 h3,
.column_right div.moduletable-style3 h3 {
	color:<?php echo $columnHeading; ?>;
	background: transparent url(<?php echo $template_path ?>/images/module-h3.png) no-repeat;

}

.column_left div.moduletable-style2,
.column_right div.moduletable-style2 {
	background:<?php echo $moduleBgTop2; ?>;
	color:<?php echo $columnText2; ?>;
}

.column_left div.moduletable-style2 a,
.column_right div.moduletable-style2 a {
    color:<?php echo $columnLink2; ?>;
}

.column_left div.moduletable-style2 h3,
.column_right div.moduletable-style2 h3 {
	color:<?php echo $columnHeading2; ?>;
	border-radius: 10px;
}

.column_left div.moduletable-style3,
.column_right div.moduletable-style3 {
	background:<?php echo $moduleBgTop3; ?>;
	color:<?php echo $columnText3; ?>;
}

.column_left div.moduletable-style3 a,
.column_right div.moduletable-style3 a {
    color:<?php echo $columnLink3; ?>;
}

.column_left div.moduletable-style3 h3,
.column_right div.moduletable-style3 h3 {
	color:<?php echo $columnHeading3; ?>;
	border-radius: 10px;
}

#nav li:hover a, #nav li.active > a,
ul.menumega > li#current > a,
ul.menumega > li.active > a {
    color:<?php echo $topMenuHoverText; ?> !important;
}

#nav li a {
    color:<?php echo $topMenuText; ?> !important;
}

#nav li:hover ul {
	background:<?php echo $menuPaneInsideColor; ?>;

}

ul.hjt-megamenu-menubar {
	color:<?php echo $topMenuText; ?>;  
}

.hjt-megamenu-menubar-item-normal a {
	color:<?php echo $topMenuText; ?>;
}

.hjt-megamenu-menubar-item-hover {

}

.hjt-megamenu-menubar-item-hover-current,
ul.menumega > li#current, ul.menumega > li.active {
}

.hjt-megamenu-menubar-item-hover a,
.hjt-megamenu-menubar-item-hover-current a {
	color:<?php echo $topMenuHoverText; ?> !important;
}

.hjt-megamenu-dropdown-panel-content a:link,
.hjt-megamenu-dropdown-panel-content a:visited {
	color:<?php echo $topMenuDropDownText; ?> !important;
}

.hjt-megamenu-dropdown-panel-content a:hover {
	color:<?php echo $topMenuHoverText; ?> !important;
}

.hjt-megamenu-dropdown-panel-list {
	color:<?php echo $topMenuDropDownText; ?>;
}

.hjt-megamenu-dropdown-panel-list-title {
	color:<?php echo $topMenuDropDownText; ?>;
}

.hjt-megamenu-dropdown-panel-list-title span {
	color:<?php echo $topMenuDropDownText; ?>;
}

.hjt-megamenu-dropdown-panel-list-title span:hover,
.hjt-megamenu-dropdown-panel-list a span:hover {
	color:<?php echo $topMenuDropDownHoverText; ?> !important;
}

.hjt-megamenu-dropdown-panel-content a:hover {
	color:<?php echo $topMenuDropDownHoverText; ?> !important;
}

.hjt-megamenu-dropdown-panel-content {
	background:<?php echo $menuPaneInsideColor; ?> url(<?php echo $template_path ?>/images/hjt_megamenu-panel-separator.png) top right repeat-y;
}

.hjt-megamenu-dropdown-panel-content:last {
	background:<?php echo $menuPaneInsideColor; ?>;
}

.hjt-megamenu-dropdown-panel-bottom {
	background:<?php echo $menuPaneInsideColor; ?>;
}

.hjt-megamenu-dropdown-panel-left {
	background:<?php echo $menuPaneInsideColor; ?>;
}

.hjt-megamenu-dropdown-panel-right {
	background:<?php echo $menuPaneInsideColor; ?>;
}

.hjt-megamenu-dropdown-panel-bottomleft {
	background:<?php echo $menuPaneInsideColor; ?>;
}

.hjt-megamenu-dropdown-panel-bottomright {
	background:<?php echo $menuPaneInsideColor; ?>;
}

.column_right ul.menu li a:link, .column_right ul.menu li a:visited, .column_left ul.menu li a:link, .column_left ul.menu li a:visited {
	color:<?php echo $mainMenuText; ?>;
}

.column_right ul.menu li a:hover, .column_left ul.menu li a:hover {
	color:<?php echo $mainMenuHoverText; ?>;
}

.column_right li#current > a, .column_left li#current > a:link, .column_left li#current > a:visited {
	color:<?php echo $mainMenuTextActive; ?> !important;
}

.bottom_bg_bottom {
	background-color:<?php echo$footerBgColor; ?> ;
}

.bottom_bg {
	background:<?php echo$footerBgColor; ?> url(<?php echo $template_path ?>/images/gray-wave-bottom.png) no-repeat center top;
}

.bottom div.module, 
.rotator_module div.moduletable,
.bottom div.module a {
	color:<?php echo $bottomLinkColor; ?>;
}

.bottom ul.menu li a:link, .bottom ul.menu li a:visited,
.upper ul.menu li a:link, .upper ul.menu li a:visited {
	color:<?php echo $bottomTextColor; ?>;
}

.bottom ul.menu li a:hover, .bottom ul.menu li a:active,
.upper ul.menu li a:hover, .upper ul.menu li a:active {
	color:<?php echo $bottomLinkColor; ?>;
}

.bottom ul.menu li,
.upper ul.menu li {
	background: transparent url(<?php echo $template_path ?>/images/divider.png) repeat-x center bottom;
}

.bottom div.module,  
.rotator_module div.moduletable {
	color:<?php echo $bottomTextColor; ?>;
}

.bottom div.module h3,
.rotator_module div.moduletable h3 {
	color:<?php echo $bottomTextColor; ?>;
	background: transparent url(<?php echo $template_path ?>/images/divider.png) repeat-x center bottom;
	margin-bottom:10px;
}

.upper div.module h3 {
	color:<?php echo $bodyLink; ?>;
}

.upper div.module h4 {
	color:<?php echo $headingText; ?>;
}

.footer a, .footer {
	color:<?php echo $footerTextColor; ?>;
}

.footer a:hover {
	color:<?php echo $bottomLinkColor; ?>;
}