<?php
/*------------------------------------------------------------------------
# "Hot Wellness" Joomla template - December, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');

		$showuser[1] = $this->countModules('bottom1');
		$showuser[2] = $this->countModules('bottom2');
		$showuser[3] = $this->countModules('bottom3');
		$showuser[4] = $this->countModules('bottom4');
		
		$showfooter = $this->countModules('footer');
		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$menu = JFactory::getApplication()->getMenu();
		$showtoolbar = $this->countModules('toolbar');
		$showinset = $this->countModules('inset');
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		$headerheight = 162;
		$user2paddingtop = 160;
		$mainareamargintop = 160;
		$graywaveimg = "gray-wave";
		$graywaveheight = 263;		
		$graywavemargintop = -80;
		
		if ($showuser1) { $headerheight = 470;
		$user2paddingtop = 405;
		$mainareamargintop = 160;
		$graywaveimg = "gray-wave-full";
		$graywaveheight = 508;
		$graywavemargintop = -375;}
?>

<?php	// template parameters

		// template layout
		$templateWidth = $this->params->get("templateWidth", "980");
		$textDirection = $this->params->get("textDirection", "ltr");
		$copyright = $this->params->get("copyright", "Your Company");
		$columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "220"); 
			$columnLeftPad = 15;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "220");
			$columnRightPad = 15;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		$searchWidth = $templateWidth - 290;
		$overallWidth = $templateWidth;
		$menuWidth = $templateWidth - 350;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		$customFonts = $this->params->get("customFonts", "custom");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			//$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie(Style, $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{

		$bodyText = $this->params->get("bodyText", "#8e8e8e");
		$bodyLink = $this->params->get("bodyLink", "#74A1D1");
		
		$breadcrumbsText = $this->params->get("breadcrumbsText", "#FFFFFF");

		$headerBackgroundColor1 = $this->params->get("headerBackgroundColor1", "#9fccfd");
		$headerBackgroundColor2 = $this->params->get("headerBackgroundColor2", "#74a1d1");
		
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(700)");	
		$topMenuText = $this->params->get("topMenuText", "#ffffff");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#97c5f5");
		$topMenuDropDownText = $this->params->get("topMenuDropDownText", "#ffffff");
		$topMenuDropDownHoverText = $this->params->get("topMenuDropDownHoverText", "#000000");
		$menuPaneInsideColor = $this->params->get("menuPaneInsideColor", "#ee0203");
		
		$megaColumns = $this->params->get("megaColumns", "4");
		$downArrows = $this->params->get("downArrows", "0");
		$megaSlide = $this->params->get("megaSlide", "1");
		$megaFade = $this->params->get("megaFade", "1");
		$megaSpeed = $this->params->get("megaSpeed", "fast");
			
		$mainMenuText = $this->params->get("mainMenuText", "#ffffff");
		$mainMenuHoverText = $this->params->get("mainMenuHoverText", "#cccccc");
		$mainMenuTextActive = $this->params->get("mainMenuTextActive", "#000000");
		$breadcrumbsText = $this->params->get("breadcrumbsText", "#ffffff");
		$componentHeadingText = $this->params->get("componentHeadingText", "#2F2F2F");
		$headingText = $this->params->get("headingText", "#2F2F2F");
		$headingHoverText = $this->params->get("headingHoverText", "#2F2F2F");
		
		$columnHeading = $this->params->get("columnHeading", "#ffffff");
		$moduleBgTop = $this->params->get("moduleBgTop", "#74a1d1");
		$columnText = $this->params->get("columnText", "#ffffff");
		$columnLink = $this->params->get("columnLink", "#000000");
		
		$columnHeading2 = $this->params->get("columnHeading2", "#ffffff");
		$moduleBgTop2 = $this->params->get("moduleBgTop2", "#252524");
		$columnText2 = $this->params->get("columnText2", "#ffffff");
		$columnLink2 = $this->params->get("columnLink2", "#000000");
		
		$columnHeading3 = $this->params->get("columnHeading3", "#ffffff");
		$moduleBgTop3 = $this->params->get("moduleBgTop3", "#252524");
		$columnText3 = $this->params->get("columnText3", "#ffffff");
		$columnLink3 = $this->params->get("columnLink3", "#000000");
		
		$bottomTextColor = $this->params->get("bottomTextColor", "#ffffff");
		$bottomLinkColor = $this->params->get("bottomLinkColor", "#000000");
		$footerTextColor = $this->params->get("footerTextColor", "#ffffff");
		$footerBgColor = $this->params->get("footerBgColor", "#74a1d1");
		
		}
		
		$colorTop = substr($headerBackgroundColor1, 1);
		$colorBottom = substr($headerBackgroundColor2, 1);
?>

<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>

<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>
<!--[if lt IE 9]>
<style type="text/css">
.bg_zone {
	-pie-background: linear-gradient(<?php echo $headerBackgroundColor1; ?>, <?php echo $headerBackgroundColor2; ?>);
	behavior: url(<?php echo $template_path ?>/css/PIE.php);
}

#nav > li.active, #nav > li:hover, #nav li:hover ul,
.column_left div.moduletable,
.column_right div.moduletable,
.column_left div.moduletable-style2,
.column_right div.moduletable-style2,
.column_left div.moduletable-style3,
.column_right div.moduletable-style3 {
	behavior: url(<?php echo $template_path ?>/css/PIE.php);
}
</style>
<![endif]-->
<!--[if gt IE 8]>
<style type="text/css">
.bg_zone {
	background-image: url("<?php echo $template_path ?>/css/gradient-svg.php?color1=<?php echo $colorTop; ?>&color2=<?php echo $colorBottom; ?>");
}
</style>
<![endif]-->

<?php
/* The following line loads the MooTools JavaScript Library */
JHtml::_('behavior.framework', true); ?>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery("#nav ul").css({display: "none"});
jQuery("#nav li").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<!--<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" >-->
<link href="<?php echo $template_path ?>/css/jquery-ui-1.8.5.custom.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $template_path ?>/css/jquery.hjt.megamenu.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jqueryui/1.11.0/jquery-ui.min.js"></script>
<script src="<?php echo $template_path ?>/js/jquery.hjt.megamenu.js" type="text/javascript"></script>
<style type="text/css">
ul.menumega
{
  display:none;
}
</style>

<script type="text/javascript"> 
	jQuery(document).ready(function() {
	     jQuery('.menumega').megamenu({
                fade: <?php if ($megaFade==1) { echo "true"; }else{ echo "false"; } ?>,
                slide: <?php if ($megaSlide==1) { echo "true"; }else{ echo "false"; } ?>,
                animation_speed: '<?php echo $megaSpeed; ?>',
                down_arrows: <?php if ($downArrows==1) { echo "true"; }else{ echo "false"; } ?>,
                separators: null,
                max_columns: <?php echo $megaColumns; ?>
        });
	jQuery('.hjt-megamenu-menubar-item-normal').has('li#current').addClass('hjt-megamenu-menubar-item-hover-current');
    });  
</script> 

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/fontResize.js"></script>
<?php } ?>

<!-- opera fix -->
<script type="text/javascript">
jQuery(document).ready(function(){
	if (jQuery.browser.opera) {
		jQuery("body").addClass("noscroll");
	}
});
</script>
<?php
$u_agent = $_SERVER['HTTP_USER_AGENT'];
if(preg_match('/Opera/i',$u_agent))
    { ?>
<style type="text/css">
.bg_zone {
	background-image: url("<?php echo $template_path ?>/css/gradient-svg.php?color1=<?php echo $colorTop; ?>&color2=<?php echo $colorBottom; ?>");
}
</style>
<?php } ?>
</head>
<body>
<div class="bg_zone">
	<div class="bg_img">
		<div class="central_zone">
			<div class="header_wrap">
				<div class="header_wrap2">     
					<div class="header">
						<div class="logo">
							<div class="logo_pad">
								<a href="index.php"><img src="<?php echo $template_path ?>/images/logo.png" width="286" height="64" alt="Hot Wellness" /></a>
							</div>
						</div>		
						<?php if ($showuser3) { ?>
						<div id="topmenu">
							<div id="topmenu_pad">
								<jdoc:include type="modules" name="user3" style="none" />
							</div>
						</div>
						<div class="clr"></div>
						<?php } ?>			
					</div>
				
				</div>
			</div>
		</div>
		<div class="hotwrapper">
			<?php if ($showuser1) { ?>
			<div class="rotator_module">
				<jdoc:include type="modules" name="user1" style="xhtml" />
			</div>
			<div class="clr"></div>
			<?php }else{ ?>
			<div class="clr"></div>

			<?php } ?> 
		</div>
		<div class="graywave">
			<div class="hotwrapper">
				<div class="user1_module">
					<jdoc:include type="modules" name="user2" style="none" />
				</div>
			</div>	

		</div>
		<div class="bluewave">
			<div class="hotwrapper">
				<div class="breadcrumbs_module">
					<jdoc:include type="modules" name="breadcrumbs" style="none" />
				</div>
			</div>
		</div>
	</div>
</div>
<div class="hotwrapper">
    <div class="main_area">
	    <?php if ($uppermodules) { ?>
		<div class="upper">
        <?php if($showadvert[1]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert1" style="rounded" /></div>
        <?php } if($showadvert[2]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert2" style="rounded" /></div>
        <?php } if($showadvert[3]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert3" style="rounded" /></div>
        <?php } if($showadvert[4]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert4" style="rounded" /></div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
        <?php if ($showleft) { ?>
        <div class="column_left">
            <jdoc:include type="modules" name="left" style="hot" />
        </div>
        <?php } ?>
        <div class="content_wrap">
            <div class="content_pad">
            	<?php if ($showinset) { ?>
            	<div class="inset_pad"><jdoc:include type="modules" name="inset" style="xhtml" /></div>
                <div class="clr"></div>
                <?php } ?>
                <jdoc:include type="message" />
                <jdoc:include type="component" />
                <jdoc:include type="modules" name="toolbar" style="xhtml" />
            </div>
        </div>
        <?php if ($showright) { ?>
        <div class="column_right">
            <jdoc:include type="modules" name="right" style="hot" />
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
</div>

<div class="bottom_bg"></div>
<div class="bottom_bg_bottom">
	<?php if ($bottommodules) { ?>
    <div class="footer_wrap">
        <div class="bottom">
            <?php if($showuser[1]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="bottom1" style="rounded" /></div>
            <?php } if($showuser[2]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="bottom2" style="rounded" /></div>
            <?php } if($showuser[3]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="bottom3" style="rounded" /></div>
            <?php } if($showuser[4]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="bottom4" style="rounded" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
	</div>
	<?php } ?>
	<?php if ($showfooter) { ?>
	<div class="central_zone">
		<div class="wrapper_bottom">
			<div class="footer_wrap">
				<div class="footer">
					<p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. <a href="https://www.hotjoomlatemplates.com">Joomla Templates</a> by HotThemes.</p>
					<jdoc:include type="modules" name="footer" style="xhtml" />
				</div>
			</div>
		</div>
	</div>
	<?php } ?>
</div>
<div class="clr"></div>

<div class="megamenu_blocks">
    <div class="megamenu_separator1"><jdoc:include type="modules" name="megamenu1" style="none" /></div>
    <div class="megamenu_separator2"><jdoc:include type="modules" name="megamenu2" style="none" /></div>
    <div class="megamenu_separator3"><jdoc:include type="modules" name="megamenu3" style="none" /></div>
    <div class="megamenu_separator4"><jdoc:include type="modules" name="megamenu4" style="none" /></div>
    <div class="megamenu_separator5"><jdoc:include type="modules" name="megamenu5" style="none" /></div>
    <div class="megamenu_separator6"><jdoc:include type="modules" name="megamenu6" style="none" /></div>
    <div class="megamenu_separator7"><jdoc:include type="modules" name="megamenu7" style="none" /></div>
    <div class="megamenu_separator8"><jdoc:include type="modules" name="megamenu8" style="none" /></div>
    <div class="megamenu_separator9"><jdoc:include type="modules" name="megamenu9" style="none" /></div>
    <div class="megamenu_separator10"><jdoc:include type="modules" name="megamenu10" style="none" /></div>
</div>
<jdoc:include type="modules" name="debug" style="none" />
</body>
</html>